nz-spin([nzSpinning]="loading$ | async", nzTip="Processing...", [nzDelay]="200")
  ng-content(*ngIf="!(workflowExecutionFinished$ | async); else result")

  ng-template(#result)
    nz-card([nzBordered]="false", [nzTitle]="!(workflowExecutionFailed$ | async) ? title : titleError")
      nz-result(
        [nzStatus]="!(workflowExecutionFailed$ | async) ? 'success' : 'error'",
        [nzTitle]="!(workflowExecutionFailed$ | async) ? 'Analysis done!' : 'Analysis failed'",
        [nzSubTitle]="!(workflowExecutionFailed$ | async) ? 'An email has been sent with all the relevant data.' : null")
      ryax-action-button.flex.justify-center(label="Try another execution", icon="retry", type="primary", (click)="reloadPage()")

  ng-template(#title)
    span Analysis results
  ng-template(#titleError)
    span Oops, an error occurred
